Use this API to list, create, and delete the namespace subscriptions of a GitLab for Jira (Forge) installation. For more information, see the Jira integrations.

List GitLab for Jira (Forge) namespace subscriptions

GET /api/v4/integrations/jira_forge/subscriptions

Lists the GitLab namespaces subscribed to the Forge installation.

Responses

CodeDescriptionSchema
200OKJiraConnectSubscriptionEntity
401Unauthorized—

Create a GitLab for Jira (Forge) namespace subscription

POST /api/v4/integrations/jira_forge/subscriptions

Subscribes a GitLab namespace to the Forge installation so its development data syncs to Jira. Authenticated as the GitLab user (OAuth); the Jira installation and user are resolved from the Forge invocation context.

Request body (application/json)

PropertyTypeDescription
namespace_path
Required
StringPath of the namespace to subscribe
Maximum length: 255

Responses

CodeDescriptionSchema
201CreatedAPIEntitiesBasicSuccess
400Bad Request—
401Unauthorized—
403Forbidden—
404Not found—
422Unprocessable entity—

Delete a GitLab for Jira (Forge) namespace subscription

DELETE /api/v4/integrations/jira_forge/subscriptions/{id}

Unsubscribes a GitLab namespace from the Forge installation.

Parameters

NameTypeDescription
id
Path, required
IntegerID of the subscription to delete

Responses

CodeDescriptionSchema
200OKAPIEntitiesBasicSuccess
400Bad Request—
401Unauthorized—
403Forbidden—
404Not found—
422Unprocessable entity—

Schemas

Objects returned by the operations above and objects nested in their request bodies.

APIEntitiesBasicSuccess

PropertyTypeDescription
successObject—

JiraConnectGroupEntity

PropertyTypeDescription
avatar_urlString—
descriptionString—
full_nameString—
nameString—

JiraConnectSubscriptionEntity

PropertyTypeDescription
created_atString—
groupJiraConnectGroupEntity—
unlink_pathString—